Bug 446862 - Background in media controller flickers when switching to the next track
Summary: Background in media controller flickers when switching to the next track
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Media Player (show other bugs)
Version: master
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-12 02:40 UTC by Fushan Wen
Modified: 2022-04-25 20:15 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25
qydwhotmail: VisualDesign+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fushan Wen 2021-12-12 02:40:47 UTC
SUMMARY
When the album cover changes, the background in the media controller often flickers.

STEPS TO REPRODUCE
1. Open Audacious and play some songs with album cover available
2. Switch to the next track in the media controller
3. Observe the background

OBSERVED RESULT
Background flickers

EXPECTED RESULT
Change background without flickering

SOFTWARE/OS VERSIONS
Information for package plasma5-workspace:
------------------------------------------
Repository     : @System
Name           : plasma5-workspace
Version        : 5.23.80git.20211211T074842~e1856783c-ku.81.1
Arch           : x86_64
Vendor         : obs://build.opensuse.org/KDE:Unstable
Installed Size : 27.2 MiB
Installed      : Yes
Status         : up-to-date
Source package : plasma5-workspace-5.23.80git.20211211T074842~e1856783c-ku.81.1.src
Summary        : The KDE Plasma Workspace Components
Comment 1 Bug Janitor Service 2021-12-15 05:23:49 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1277
Comment 2 Bug Janitor Service 2022-03-20 11:40:43 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1584
Comment 3 Nate Graham 2022-03-29 21:42:07 UTC
Git commit da8a82faf17b4bd9b71ab04f2b1027e849f26eb3 by Nate Graham, on behalf of Fushan Wen.
Committed on 29/03/2022 at 21:42.
Pushed by ngraham into branch 'master'.

applets/mediacontroller: Fix album cover flickering

The code is borrowed from the wallpaper: use a StackView to handle
multiple Image instances, and cross-fade between them when the
artwork changes.
FIXED-IN: 5.25

M  +127  -18   applets/mediacontroller/contents/ui/ExpandedRepresentation.qml

https://invent.kde.org/plasma/plasma-workspace/commit/da8a82faf17b4bd9b71ab04f2b1027e849f26eb3
Comment 4 Nate Graham 2022-04-25 20:15:26 UTC
Git commit 401bf2928637768a46b22acff5ee2d3e4f7e210b by Nate Graham, on behalf of Fushan Wen.
Committed on 25/04/2022 at 20:07.
Pushed by ngraham into branch 'master'.

applets/mediacontroller: Use PopTransition for old image when albumArt is unavailable

M  +16   -2    applets/mediacontroller/contents/ui/ExpandedRepresentation.qml

https://invent.kde.org/plasma/plasma-workspace/commit/401bf2928637768a46b22acff5ee2d3e4f7e210b
Comment 5 Nate Graham 2022-04-25 20:15:34 UTC
Git commit da9bc47573d47a71bd1243ade04b21c9dcbad061 by Nate Graham, on behalf of Fushan Wen.
Committed on 25/04/2022 at 20:07.
Pushed by ngraham into branch 'master'.

applets/mediacontroller: Use PauseAnimation in replaceExit

Keep the old image around till the new one is fully faded in, or the
background is too obvious when using a light theme.

M  +1    -3    applets/mediacontroller/contents/ui/ExpandedRepresentation.qml

https://invent.kde.org/plasma/plasma-workspace/commit/da9bc47573d47a71bd1243ade04b21c9dcbad061
Comment 6 Nate Graham 2022-04-25 20:15:43 UTC
Git commit b0df2e276c93007bea82812b3e37d1f86d5339e0 by Nate Graham, on behalf of Fushan Wen.
Committed on 25/04/2022 at 20:07.
Pushed by ngraham into branch 'master'.

applets/mediacontroller: Perform fade-out when image ratio changes

If the new ratio and the old ratio are different, perform a fade-out
animation for the old image to prevent it from suddenly disappearing.

M  +21   -2    applets/mediacontroller/contents/ui/ExpandedRepresentation.qml

https://invent.kde.org/plasma/plasma-workspace/commit/b0df2e276c93007bea82812b3e37d1f86d5339e0